# Always prefer setuptools over distutils
from setuptools import setup, find_packages
# To use a consistent encoding
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(here, 'README.md'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name='LivePopularTimes',
    version='1.1',
    description='LivePopularTimes: A Google Maps scraper',
    long_description=long_description,
    long_description_content_type='text/markdown',
    url='https://github.com/GrocerCheck/LivePopularTimes',
    author='Brian Chen',
    author_email = 'brianchen.chen@mail.utoronto.ca',
    license='MIT',
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',
        'License :: OSI Approved :: MIT License',

        # Specify the Python versions you support here. In particular, ensure
        # that you indicate whether you support Python 2, Python 3 or both.
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    keywords=['populartimes googlemaps live', 'googlemaps', 'scraper', 'crawler', 'populartimes'],

    # TODO
    # You can just specify the packages manually here if your project is
    # simple. Or you can use find_packages().
    packages=find_packages(exclude=['content', 'test']),

    # List run-time dependencies here.  These will be installed by pip when
    # your project is installed. For an analysis of "install_requires" vs pip's
    # requirements files see:
    # https://packaging.python.org/en/latest/requirements.html
    install_requires=[
        'requests',
        'calendar',
        'json',
        'ssl',
        'logging',
        'urllib',
        're'
    ],

)
